#!/bin/bash

IMAGE=wollud1969/mosquitto-with-auth:latest
VOLUME_CONFIG=mosquitto-config
VOLUME_DATA=mosquitto-data
VOLUME_LOG=mosquitto-log
VOLUME_LETSENCRYPT=mosquitto-letsencrypt

docker volume inspect $VOLUME_CONFIG > /dev/null || docker volume create $VOLUME_CONFIG
docker volume inspect $VOLUME_DATA > /dev/null || docker volume create $VOLUME_DATA
docker volume inspect $VOLUME_LOG > /dev/null || docker volume create $VOLUME_LOG
docker volume inspect $VOLUME_LETSENCRYPT > /dev/null || docker volume create $VOLUME_LETSENCRYPT

docker pull $IMAGE

docker run \
  -d \
  --rm \
  -p80:80 \
  -p443:443 \
  -p1883:1883 \
  -p8883:8883 \
  -p9001:9001 \
  -v $VOLUME_CONFIG:/opt/etc/mosquitto \
  -v $VOLUME_DATA:/opt/data \
  -v $VOLUME_LOG:/var/log/supervisor \
  -v $VOLUME_LETSENCRYPT:/etc/letsencrypt \
  --name mosquitto \
  $IMAGE


